Bug 947846 - CVE-2013-1915 mod_security: Vulnerable to XXE attacks [epel-all]
CVE-2013-1915 mod_security: Vulnerable to XXE attacks [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mod_security (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-1915
  Show dependency treegraph
 
Reported: 2013-04-03 08:17 EDT by Jan Lieskovsky
Modified: 2013-04-24 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-21 14:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-03 08:17:28 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-04-03 08:17:42 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=947842,947846
Comment 2 Fedora Update System 2013-04-03 10:43:35 EDT
mod_security-2.7.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_security-2.7.3-1.el6
Comment 3 Fedora Update System 2013-04-03 13:06:34 EDT
Package mod_security-2.7.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mod_security-2.7.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0894/mod_security-2.7.3-1.el6
then log in and leave karma (feedback).
Comment 4 Jan Lieskovsky 2013-04-09 05:02:57 EDT
Athmane,

  what about mod_security update for Fedora EPEL-5 yet? Breno Silva of ModSecurity upstream is asking me:
[1] http://www.openwall.com/lists/oss-security/2013/04/08/11

if we would like to have backported patch version. For now I will reply positively (since assuming this is what is preventing us from scheduling Fedora EPEL-5 mod_security update yet). Will Cc-you on that post.

Thanks && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team

P.S.: While the Version field in this bug speaks about 'el6', please don't get confused with that one (we need also mod_security update) for Fedora EPEL-5.
Comment 5 Fedora Update System 2013-04-09 11:06:49 EDT
mod_security-2.6.8-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mod_security-2.6.8-3.el5
Comment 6 Fedora Update System 2013-04-21 14:46:27 EDT
mod_security-2.7.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-04-24 12:47:22 EDT
mod_security-2.6.8-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.